/*
test-runner.js
run tests headless (console output)
*/

const
    {CounterTestCase} = require('./test/counter-test-case'),
    {UnitTestManager} = require('jsUnit');

class TestLab {

    run() {
        let tc, selectors, unitTest;
        tc = new CounterTestCase();
        selectors = tc.getSubTests().map(ea => ea.getTestLabel());
        unitTest = UnitTestManager.runUnitTestWith(tc, selectors);
        console.log('======================');
        console.log('HERE IT IS');
        console.log(unitTest.getLog());
    }
}

//----------------------------------
// Exports

exports.TestLab = TestLab;